Get a download link for a file in a partner custom field
curl --request GET \
--url https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"url": "<string>",
"expires_at": "<string>",
"file_name": "<string>"
}Partner Custom Field Values
Get a download link for a file in a partner custom field
Returns a short-lived presigned download link for one file of a file custom field on this partner: subUuid is the custom field’s uuid and fileUuid the file’s uuid from the field’s value. 404 unless the file is in this partner’s value for that field. Partner file fields are company-only: they are never shared with partners.
GET
/
partners
/
{uuid}
/
custom-fields
/
{subUuid}
/
files
/
{fileUuid}
/
download
Get a download link for a file in a partner custom field
curl --request GET \
--url https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/partners/{uuid}/custom-fields/{subUuid}/files/{fileUuid}/download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"url": "<string>",
"expires_at": "<string>",
"file_name": "<string>"
}Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$